# tempUpload

expect suspend fun ERROR CLASS: Symbol not found for HttpClient. tempUpload (fullTempUploadDraftPath: String , file: MPPFile , onUpload: ERROR CLASS: Symbol not found for ProgressListener = ProgressListener { _, _ -> }): TemporalFileId (source)

Uploads a file to a temporary storage on the server. The server should provide an endpoint that accepts multipart uploads and returns a TemporalFileId.

#### Return

A TemporalFileId that can be used to reference the uploaded file

#### Parameters

fullTempUploadDraftPath

The full URL path to the temporary upload endpoint

file

The file to upload

onUpload

Progress callback invoked during upload

suspend fun tempUpload (fullTempUploadDraftPath: String , file: MPPFile , onUpload: ERROR CLASS: Symbol not found for ProgressListener): TemporalFileId(source)
actual suspend fun ERROR CLASS: Symbol not found for HttpClient. tempUpload (fullTempUploadDraftPath: String , file: MPPFile , onUpload: ERROR CLASS: Symbol not found for ProgressListener): TemporalFileId(source)
actual suspend fun ERROR CLASS: Symbol not found for HttpClient. tempUpload (fullTempUploadDraftPath: String , file: MPPFile , onUpload: ERROR CLASS: Symbol not found for ProgressListener): TemporalFileId (source)